# Uses of Class
org.apache.lucene.internal.hppc.LongCursor

Packages that use LongCursor
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of LongCursor in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return LongCursor
  Modifier and Type
  Method
  Description
  `protected LongCursor`
  LongHashSet.EntryIterator.`fetch()`
  Methods in org.apache.lucene.internal.hppc that return types with arguments of type LongCursor
  Modifier and Type
  Method
  Description
  `Iterator<LongCursor>`
  IntLongHashMap.ValuesContainer.`iterator()`
  `Iterator<LongCursor>`
  LongArrayList.`iterator()`
  `Iterator<LongCursor>`
  LongFloatHashMap.KeysContainer.`iterator()`
  `Iterator<LongCursor>`
  LongHashSet.`iterator()`
  `Iterator<LongCursor>`
  LongIntHashMap.KeysContainer.`iterator()`
  `Iterator<LongCursor>`
  LongObjectHashMap.KeysContainer.`iterator()`
  Method parameters in org.apache.lucene.internal.hppc with type arguments of type LongCursor
  Modifier and Type
  Method
  Description
  `int`
  LongArrayList.`addAll(Iterable<? extends LongCursor> iterable)`
  Adds all elements from another iterable.
  `int`
  LongHashSet.`addAll(Iterable<? extends LongCursor> iterable)`
  Adds all elements from the given iterable to this set.